Package org.apache.sling.feature.cpconverter.repoinit

## Class OperationProcessor

- java.lang.Object
- - org.apache.sling.feature.cpconverter.repoinit.OperationProcessor

    public class OperationProcessor
    extends Object

### Constructor Summary

Constructors
`OperationProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply​(@NotNull List<org.apache.sling.repoinit.parser.operations.Operation> ops, @NotNull Formatter formatter, @NotNull EnforceInfo enforceInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperationProcessor

    public OperationProcessor()

### Method Detail

#### apply

    public void apply​(@NotNull
                      @NotNull List<org.apache.sling.repoinit.parser.operations.Operation> ops,
                      @NotNull
                      @NotNull Formatter formatter,
                      @NotNull
                      @NotNull EnforceInfo enforceInfo)
               throws ConverterException

Throws:
  `ConverterException`